/*
 * FluxBat
 * Copyright (C) 2007 Steffen Wendzel <cdp(at)doomed-reality(dot)org>
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 *                   Boston, MA  02110-1301  USA
 */
   
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/stat.h>

int
main(int argc, char *argv[])
{
	pid_t pid;
	
	if ((pid = fork()) < 0) {
		fprintf(stderr, "fluxbat: cannot fork().\n");
		return 1;
	} else if(pid) { /* parent */
		return 0;
	}
	setsid();
	chdir("/");
	umask(0);
	while (1) {
		system("/bin/sh /usr/bin/fluxbatgen.sh");
		sleep(75);
	}
	return 0;
}


